Create Docusign Sender View request
POST/esignature/docusign/:documentId/envelopes/:envelopeId/views/sender
DocuSign create Docusign Sender View request; available as an Add-On Module
Request
Path Parameters
documentId stringrequired
Document Identifier
envelopeId stringrequired
Docusign Envelope Id
Query Parameters
siteId string
Site Identifier
artifactId string
Artifact Document Identifier
- application/json
Body
required
environment DocusignEnvironment (string)
Docusign environment. When omitted from an E-Signature request, defaults to docusignEnvironment in the site configuration.
Possible values: [PRODUCTION, DEVELOPMENT]
returnUrl stringrequired
The URL to which the sender is redirected after exiting the sender view
Responses
- 200
- 400
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
- Example
Schema
viewUrl string
The URL for the embedded DocuSign sender view
{
"viewUrl": "string"
}
{
"viewUrl": "https://..."
}
400 OK
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
errors
object[]
List of errors
key string
Error Key
error string
Error Message
{
"errors": [
{
"key": "string",
"error": "string"
}
]
}
Loading...